unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, mTZaehler, mTStoppuhr;

type
  TForm1 = class(TForm)
    AnzeigeEdit: TEdit;
    RuecksetzButton: TButton;
    StartButton: TButton;
    StoppButton: TButton;
    procedure init(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
    procedure StopButtonClick(Sender: TObject);
    procedure RuecksetzButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Stoppuhr: TStoppuhr;

implementation

{$R *.dfm}

procedure TForm1.init(Sender: TObject);
begin
  Stoppuhr := TStoppuhr.erzeugen(AnzeigeEdit);
  RuecksetzButtonClick(Sender);
  ActiveControl := StartButton;
end;

procedure TForm1.StartButtonClick(Sender: TObject);
begin
  Stoppuhr.starten;
  ActiveControl := StoppButton;
end;

procedure TForm1.StopButtonClick(Sender: TObject);
begin
  Stoppuhr.stoppen;
  RuecksetzButton.Enabled := true;
  ActiveControl := RuecksetzButton;
end;

procedure TForm1.RuecksetzButtonClick(Sender: TObject);
begin
  Stoppuhr.zuruecksetzen;
  ActiveControl := StartButton;
end;

end.
