unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, mTTicketautomat;

type
  TForm1 = class(TForm)
    GeldEinwerfenButton: TButton;
    TicketDruckenButton: TButton;
    GeldRueckgebenButton: TButton;
    Anzeige: TListBox;
    TicketPreisEdit: TEdit;
    Label1: TLabel;
    AktuelleAnzahlungEdit: TEdit;
    Label2: TLabel;
    ErzeugeButton: TButton;
    procedure ZeigeAnzahlung;
    procedure GeldEinwerfenButtonClick(Sender: TObject);
    procedure TicketDruckenButtonClick(Sender: TObject);
    procedure GeldRueckgebenButtonClick(Sender: TObject);
    procedure ErzeugeButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1:   TForm1;
  Automat: TTicketautomat;

implementation

{$R *.dfm}


procedure TForm1.ZeigeAnzahlung;
begin
  AktuelleAnzahlungEdit.Text := inttostr(Automat.gibAktuelleAnzahlung);
end;

procedure TForm1.GeldEinwerfenButtonClick(Sender: TObject);
var betrag: integer;
begin
  betrag := strtoint(InputBox('Geld einwerfen', 'Betrag:', '0'));
  Automat.geldEinwerfen(betrag);
  ZeigeAnzahlung;
end;

procedure TForm1.TicketDruckenButtonClick(Sender: TObject);
begin
  Automat.ticketDrucken;
  ZeigeAnzahlung;
  // im Folgenden ein Ticketausdruck auf dem Formular:
  {
  Anzeige.Items.Add('################');
  Anzeige.Items.Add('# HGT-Parkticket  #');
  Anzeige.Items.Add('# Wert: ' + inttostr(Automat.gibTicketPreis) + ' Cent  #');
  Anzeige.Items.Add('################');
  Anzeige.Items.Add('');
  }
end;

procedure TForm1.GeldRueckgebenButtonClick(Sender: TObject);
begin
  Automat.geldZurueckgeben;
  ZeigeAnzahlung;
end;


procedure TForm1.ErzeugeButtonClick(Sender: TObject);
var ticketpreis: integer;
    code: string;
begin
  ticketpreis := strtoint(InputBox('Erzeugung eines neuen Automaten', 'Einheitlicher Ticketpreis (in Ct): ', ''));
  code := InputBox('Erzeugung eines neuen Automaten', 'Authorisierungs-Code fr die Leerung: ', '');
  Automat := TTicketautomat.erzeugen(ticketpreis, code);
  TicketPreisEdit.Text := inttostr(Automat.gibTicketPreis);
  ActiveControl := GeldEinwerfenButton;
end;

end.
 