UNIT mTZaehler;

interface


//--------------------  ggf Uses-Liste einfgen !  --------------------
uses SysUtils;

type
  TZaehler = class
  private //Attribute
    limit : integer;
    wert : integer;
  public //Methoden
    constructor erzeugen (limitVorgabe: integer); virtual;
    procedure erhoehen; virtual;
    procedure zuruecksetzen; virtual;
    function gibString : string; virtual;
    function gibWert : integer; virtual;
  end;

implementation

//+---------------------------------------------------------------------
//|         TZaehler: Methodendefinition 
//+---------------------------------------------------------------------

//-------- erzeugen (public) -------------------------------------------
constructor TZaehler.erzeugen (limitVorgabe: integer);
begin
  //TZaehler.Create;
  wert := 0;
  limit := limitVorgabe;
end;

//-------- erhoehen (public) -------------------------------------------
procedure TZaehler.erhoehen;
begin
  wert := (wert + 1) mod limit;
end;

//-------- zuruecksetzen (public) --------------------------------------
procedure TZaehler.zuruecksetzen;
begin
  wert := 0;
end;

//-------- gibString (public) ------------------------------------------
function TZaehler.gibString : string;
begin
  if wert < 10 then
    result := '0' + inttostr(wert)
  else
    result := inttostr(wert);
end;

//-------- gibWert (public) --------------------------------------------
function TZaehler.gibWert : integer;
begin
  result  := wert
end;

end.
